angular.module('aom.directives')
  .directive('aomSearchMedia', function () {
    return {
      scope: {
        field: '='
      },
      controller: function ($scope, aomJobSrv, aomModalSrv, aomResourcesSrv) {

        $scope.data = {
          resources: aomResourcesSrv.data.resources
        };

        $scope.showSearchMediaScreen = () => {
          aomJobSrv.setField($scope.field);
          aomModalSrv.show($scope, $scope.field.Type, $scope.field.Name);
        };

      },
      templateUrl: 'App/Common/Directives/SearchMedia/searchMedia.html'
    };
  });